<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionButtonsBlockCreateButtonsBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'text'             => [
            'en'   => [
                'name' => 'Text',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'target'              => [
            'en'   => [
                'name' => 'Target',
            ],
            'type'   => 'anomaly.field_type.select',
            'config' => [
                'default_value' => '_self',
                'options' => [
                    '_self' => 'Self',
                    '_blank' => 'New Window',
                ],
            ],
        ],
        'url'               => [
            'en'   => [
                'name' => 'URL',
            ],
            'type' => 'anomaly.field_type.url',
        ],
        'type'              => [
            'en'   => [
                'name' => 'Button Layout',
            ],
            'type'   => 'anomaly.field_type.select',
            'config' => [
                'default_value' => 'primary',
                'options' => [
                    'primary' => 'Primary',
                    'default' => 'Default',
                    'success' => 'Green',
                    'danger' => 'Red',
                    'info' => 'Blue',
                    'link' => 'Link',
                ],
            ],
        ],
        'rounded'               => [
            'en'   => [
                'name' => 'Rounded Buttons',
            ],
            'type' => 'anomaly.field_type.boolean',
        ],
        'layout'              => [
            'en'   => [
                'name' => 'Display Mode',
            ],
            'type'   => 'anomaly.field_type.select',
            'config' => [
                'default_value' => 'inline',
                'options' => [
                    'inline' => 'Inline',
                    'stacked' => 'Stacked',
                ],
            ],
        ],
        'buttons' => [
            'en'   => [
                'name' => 'Buttons',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'add_row' => 'Add Button',
                'related' => 'buttons_block.buttons',
            ],
        ],
    ];

}
